// Convert.h: interface for the CConvert class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONVERT_H__EF54CDFD_834F_11D3_809F_00C04F60EB8B__INCLUDED_)
#define AFX_CONVERT_H__EF54CDFD_834F_11D3_809F_00C04F60EB8B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CConvert  
{
public:
	void BGtoRGB();
	void YUVtoRGB();
	CConvert();
	virtual ~CConvert();

protected:
	float Y2;
	float Y1;
	float V;
	float U;
	//float Y;
	//float R;
	//float G;
	//float B;
	float R1;
	float G1;
	float B1;
	float R2;
	float G2;
	float B2;
};

#endif // !defined(AFX_CONVERT_H__EF54CDFD_834F_11D3_809F_00C04F60EB8B__INCLUDED_)
